@echo off

echo ####### %0 #######

echo.
echo trying to remove stale entries from program list ...
for %%K in (

  "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Microsoft Edge"
  "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\Microsoft Edge"

) do (

  echo deleting registry key [ %%K ] using NSUDO ...
  nsudo /U:T /P:E reg delete %%K /f

)

echo ####### %0 #######

